# $Revision: 1.68 $, $Date: 2012/01/03 19:53:40 $
#

# Conditional build:
%bcond_with	info			# info pages (requires emacs)
%bcond_without	tkinter			# disables tkinter module building
%bcond_with	tests			# disables Python testing
%bcond_with	verbose_tests		# runs tests in verbose mode
#
# tests which will not work on 64-bit platforms
%define		no64bit_tests	test_audioop test_rgbimg test_imageop
# tests which may fail because of builder environment limitations (no /proc or /dev/pts)
%define		nobuilder_tests test_resource test_openpty test_socket test_nis test_posix test_locale test_pty

# tests which fail because of some unknown/unresolved reason (this list should be empty)
#   test_site: fails because our site.py is patched to include both /usr/share/... and /usr/lib...
#   test_gdb: fails, as the gdb uses old python version
%define		broken_tests test_httpservers test_distutils test_cmd_line test_pydoc test_telnetlib test_zlib test_gdb test_site

%define py_ver		3.2
%define py_abi		%{py_ver}mu
%define py_prefix	%{_prefix}
%define py_libdir	%{py_prefix}/%{_lib}/python%{py_ver}
%define py_incdir	%{_includedir}/python%{py_abi}
%define py_sitedir	%{py_libdir}/site-packages
%define py_dyndir	%{py_libdir}/lib-dynload

Summary:	Very high level scripting language with X interface
Summary(es.UTF-8):	Lenguaje script de alto nivel con interfaz X
Summary(fr.UTF-8):	Langage de script de très haut niveau avec interface X
Summary(pl.UTF-8):	Python - język obiektowy wysokiego poziomu
Summary(pt_BR.UTF-8):	Linguagem de programação interpretada de alto nível
Summary(ru.UTF-8):	Язык программирования очень высокого уровня с X-интерфейсом
Summary(tr.UTF-8):	X arayüzlü, yüksek düzeyli, kabuk yorumlayıcı dili
Summary(uk.UTF-8):	Мова програмування дуже високого рівня з X-інтерфейсом
Name:		python3
Version:	%{py_ver}.2
Release:	4
Epoch:		1
License:	PSF
Group:		Applications
Source0:	http://www.python.org/ftp/python/%{version}/Python-%{version}.tar.xz
# Source0-md5:	3720ce9460597e49264bbb63b48b946d
Patch0:		%{name}-pythonpath.patch
Patch1:		%{name}-ac_fixes.patch
Patch2:		%{name}-lib64.patch
Patch3:		%{name}-noarch_to_datadir.patch
Patch4:		%{name}-bug11254.patch
Patch5:		%{name}-no_cmdline_tests.patch
URL:		http://www.python.org/
BuildRequires:	autoconf >= 2.65
BuildRequires:	bluez-libs-devel
BuildRequires:	bzip2-devel
BuildRequires:	db-devel >= 4
%{?with_info:BuildRequires:	emacs >= 21}
BuildRequires:	expat-devel >= 1:1.95.7
BuildRequires:	file
BuildRequires:	gdbm-devel >= 1.8.3
BuildRequires:	gmp-devel >= 4.0
BuildRequires:	libffi-devel
BuildRequires:	libstdc++-devel
BuildRequires:	ncurses-ext-devel >= 5.2
BuildRequires:	openssl-devel >= 0.9.8
BuildRequires:	readline-devel >= 5.0
BuildRequires:	rpm-pythonprov
BuildRequires:	sed >= 4.0
BuildRequires:	sqlite3-devel >= 3.3.5
BuildRequires:	tar >= 1:1.22
%{?with_info:BuildRequires:	tetex-makeindex}
%{?with_tkinter:BuildRequires:	tix-devel >= 1:8.1.4-4}
%{?with_tkinter:BuildRequires:	tk-devel >= 8.4.3}
BuildRequires:	zlib-devel
Requires:	%{name}-libs = %{epoch}:%{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		specflags_ppc	-D__ppc__=1
%define		specflags_ppc64	-D__ppc64__=1

%if %{with verbose_tests}
%define test_flags -v -l -x
%else
%define test_flags -w -l -x
%endif

%ifarch alpha ia64 ppc64 sparc64 ppc64 %{x8664}
%define test_list %{nobuilder_tests} %{broken_tests} %{no64bit_tests}
%else
%define test_list %{nobuilder_tests} %{broken_tests}
%endif

%ifarch sparc
%define test_list %{nobuilder_tests} %{broken_tests} test_fcntl test_ioctl
%endif

%description
Python is an interpreted, interactive, object-oriented programming
language. It incorporates modules, exceptions, dynamic typing, very
high level dynamic data types, and classes. Python combines remarkable
power with very clear syntax. It has interfaces to many system calls
and libraries, as well as to various window systems, and is extensible
in C or C++. It is also usable as an extension language for
applications that need a programmable interface. Finally, Python is
portable: it runs on many brands of UNIX, on the Mac, and on PCs under
MS-DOS, Windows, Windows NT, and OS/2.

This package contains the Python binary.

%description -l de.UTF-8
Python ist eine interpretierte, interaktive, objektorientierte
Programmiersprache, vergleichbar zu Tcl, Perl, Scheme oder Java.
Python enthält Module, Klassen, Exceptions, High-Level dynamische
Datentypen und dynamisches Typisieren. Python unterstützt Interfaces
zu vielen Systemaufrufen und Libraries, sowie verschiedene
Fenstersysteme (X11, Motif, Tk, Mac und MFC)

Programmierer können neue built-in-Module für Python in C oder C++
schreiben. Python kann auch als Erweiterungssprache für Applikationen
benutzt werden, die ein programmierbares Interface brauchen. Dieses
Paket enthält die meisten Standard-Python-Module, und Module zum
Ansprechen von Tix (Tk-widget set) und RPM.

%description -l es.UTF-8
Python es un lenguaje de scripts interpretado orientado a objetos.
Contiene soporte para carga dinámica de objetos, clases, módulos y
excepciones.

Es sencillo adicionar interfaces para nuevos sistemas de biblioteca a
través de código C, tornando Python fácil de usar en ambientes
particulares/personalizados. Este paquete Python incluye la mayoría de
los módulos padrón Python, junto con módulos para crear interfaces
para el conjunto de componentes Tix para Tk y RPM.

%description -l fr.UTF-8
Python est un langage de script interprété et orienté objet. Il gère
le chargement dynamique des objets, les classes, les modules et les
exceptions. L'ajout d'interfaces aux nouvelles bibliothèques systèmes
avec du code C est simple, ce qui rend Python facile à utiliser dans
des configs personnalisées.

Ce paquetage Python contient la plupart des modules Python standards,
ainsi que ceux permettant l'interfaçage avec les widgets Tix pour Tk
et RPM.

%description -l pl.UTF-8
Python jest interpretowanym, interaktywnym i zorientowanym obiektowo
językiem programowania. Jest modularny, obsługuje wyjątki, dynamiczne
typy, zaawansowane dynamiczne struktury danych i klasy. Python łączy w
sobie duże możliwości i przejrzystą składnię. Posiada interfejsy do
wielu wywołań systemowych i bibliotek, w tym również do różnych
bibliotek okienkowych. Możliwości jego można jeszcze rozszerzać
poprzez odpowiednie moduły pisane w C lub C++. Python może być również
użyty jako element aplikacji, którym potrzebny jest interpreter do
skryptów. I wreszcie, Python jest wieloplatformowy, działa na wielu
odmianach UNIX-a, Macu oraz PC pod DOS-em, Windows, WindowsNT oraz
OS/2.

Ten pakiet zawiera binarkę Pythona.

%description -l pt_BR.UTF-8
Python é uma linguagem de scripts interpretada orientada a objetos.
Contém suporte para carga dinâmica de objetos, classes, módulos e
exceções. Adicionar interfaces para novos sistemas de biblioteca
através de código C é simples, tornando Python fácil de usar em
ambientes particulares/personalizados.

Este pacote Python inclui a maioria do módulos padrão Python, junto
com módulos para interfaceamento para o conjunto de componentes Tix
para Tk e RPM.

%description -l ru.UTF-8
Python - это интерпретируемый, объектно-ориентированный язык
программирования. Он поддерживает динамическую загрузку объектов,
классы, модули и обработку исключительных ситуаций (exceptions).
Простота добавления интерфейсов к новым системным библиотекам через
код на языке C делает Python хорошим выбором для использования в
специальных конфигурациях.

%description -l tr.UTF-8
Python, nesneye yönelik bir kabuk yorumlayıcıdır. Nesnelerin,
sınıfların, modüllerin ve aykırı durumların dinamik yüklenmelerine
destek verir. C koduyla birlikte kullanımı son derece kolaydır. Bu
paket, standart Python birimlerinin çoğunun yanısıra Tk ve RPM için
arayüz birimlerini de içerir.

%description -l uk.UTF-8
Python - це інтерпретована, об'єктно-орієнтована мова програмування.
Він підтримує динамічну загрузку об'єктів, класи, модулі та обробку
виключних ситуацій (exceptions). Простота додавання інтерфейсів для
нових системних бібліотек через код на мові C робить Python добрим
вибором для використання в спеціальних конфігураціях.

%package libs
Summary:	Python library
Summary(pl.UTF-8):	Biblioteka języka Python
Group:		Libraries/Python
# broken detection in rpm/pythondeps.sh
Provides:	python(abi) = %{py_ver}
# for compatibility with existing Ac packages
Provides:	python(bytecode) = %{py_ver}
%{!?with_info:Obsoletes:	python3-doc-info}

%description libs
Python shared library and very essental modules for Python binary.

%description libs -l pl.UTF-8
Biblioteka współdzielona języka Python oraz bardzo podstawowe moduły
dla Pythona.

%package modules
Summary:	Python modules
Summary(pl.UTF-8):	Moduły języka Python
Group:		Libraries/Python
Requires:	%{name}-libs = %{epoch}:%{version}-%{release}
Obsoletes:	python3-modules-sqlite

%description modules
Python officially distributed modules.

%description modules -l pl.UTF-8
Oficjalnie rozprowadzane moduły języka Python.

%package -n pydoc3
Summary:	Python interactive module documentation access support
Summary(pl.UTF-8):	Interaktywne korzystanie z dokumentacji modułów języka Python
Group:		Applications
Requires:	%{name}-modules = %{epoch}:%{version}-%{release}

%description -n pydoc3
Python interactive module documentation access support.

%description -n pydoc3 -l pl.UTF-8
Interaktywne korzystanie z dokumentacji modułów języka Python.

%package -n idle3
Summary:	IDE for Python language
Summary(pl.UTF-8):	IDE dla języka Python
Group:		Applications
Requires:	%{name}-tkinter = %{epoch}:%{version}-%{release}

%description -n idle3
IDE for Python language.

%description -n idle3 -l pl.UTF-8
IDE dla języka Python.

%package devel
Summary:	Libraries and header files for building python code
Summary(de.UTF-8):	Libraries und Header-Dateien zum Erstellen von Python-Code
Summary(es.UTF-8):	Bibliotecas y archivos de inclusión para construir programas en python
Summary(fr.UTF-8):	Bibliothèques et en-têtes pour construire du code python
Summary(pl.UTF-8):	Pliki nagłówkowe i biblioteki Pythona
Summary(pt_BR.UTF-8):	Bibliotecas e arquivos de inclusão para o Python
Summary(ru.UTF-8):	Библиотеки и хедеры для построения кода на языке Python
Summary(tr.UTF-8):	Python ile geliştirme yapmak için gerekli dosyalar
Summary(uk.UTF-8):	Бібліотеки та хедери для програмування на мові Python
Group:		Development/Languages/Python
Requires:	%{name}-libs = %{epoch}:%{version}-%{release}

%description devel
The Python interpreter is relatively easy to extend with dynamically
loaded extensions and to embed in other programs. This package
contains the header files and libraries which are needed to do both of
these tasks.

%description devel -l de.UTF-8
Der Python-Interpretierer ist relativ einfach anhand von dynamisch
ladbaren Erweiterungen auszubauen und läßt sich in andere Programme
integrieren. Dieses Paket enthält die Header-Dateien und Libraries,
die für beide Aufgaben erforderlich sind.

%description devel -l es.UTF-8
El interpretador Python permite incluir con facilidad extensiones
cargadas dinámicamente. Python es también fácil de ser empotrado en
otros programas. Este paquete contiene los archivos de inclusión y
bibliotecas necesarios para estas dos tareas.

%description devel -l fr.UTF-8
L'interpréteur Python est relativement facile à étendre avec des
extensions chargées dynamiquement et à insérer dans d'autres
programmes. Ce paquetage contient les en-têtes et les bibliothèques
nécessaires à ces deux tâches.

%description devel -l pl.UTF-8
Interpreter Pythona jest w miarę łatwy do rozszerzania przy pomocy
dynamicznie ładowanych rozszerzeń napisanych w C lub C++ oraz
osadzania w innych programach. Ten pakiet zawiera pliki nagłówkowe i
wszystko inne co potrzebne do tych celów.

%description devel -l pt_BR.UTF-8
O interpretador Python permite incluir com facilidade extensões
carregadas dinamicamente. Python é também fácil de ser embutido em
outros programas. Este pacote contém os arquivos de inclusão e
bibliotecas necessários para estas duas tarefas.

%description devel -l ru.UTF-8
Интерпретатор Python относительно легко расширяется при помощи
динамически загружаемых расширений и встраивается в другие программы.
Этот пакет содержит хедеры и библиотеки, необходимые для обеих этих
задач.

%description devel -l tr.UTF-8
Bu paket, Python ile geliştirme yapılabilmesi için gerekli başlık
dosyalarını ve kitaplıkları içerir.

%description devel -l uk.UTF-8
Інтерпретатор Python відносно легко розширюється за допомогою
розширень з динамічною загрузкою та вбудовується в інші програми. Цей
пакет містить хедери та бібліотеки, необхідні для обох цих задач.

%package devel-src
Summary:	Python module sources
Summary(pl.UTF-8):	Pliki źródłowe modułów Pythona
Group:		Development/Languages/Python
Requires:	%{name}-modules = %{epoch}:%{version}-%{release}

%description devel-src
Python module sources.

%description devel-src -l pl.UTF-8
Pliki źródłowe modułów Pythona.

%package devel-tools
Summary:	Python development tools
Summary(pl.UTF-8):	Narzędzia programistyczne języka Python
Group:		Development/Languages/Python
Requires:	%{name}-modules = %{epoch}:%{version}-%{release}

%description devel-tools
Python development tools such as profilers and debugger.

%description devel-tools -l pl.UTF-8
Narzędzia programistyczne języka Python takie jak profiler oraz
debugger.

%package 2to3
Summary:	Automated Python 2 to 3 code translation
Summary(pl.UTF-8):	Automatyczne tłumaczenie kodu Pythona 2 do 3
Group:		Development/Languages/Pythona

%description 2to3
2to3 is a Python program that reads Python 2.x source code and applies
a series of fixers to transform it into valid Python 3.x code. The
standard library contains a rich set of fixers that will handle almost
all code. 2to3 supporting library lib2to3 is, however, a flexible and
generic library, so it is possible to write your own fixers for 2to3.
lib2to3 could also be adapted to custom applications in which Python
code needs to be edited automatically.

%description 2to3 -l pl.UTF-8
2to3 to program w Pythonie czytający od źródłowy w Pythonie 2.x i
aplikujący serię poprawek przekształcających go w poprawny kod w
Pythonie 3.x. Biblioteka standardowa zawiera duży zbiór poprawek
obsługujących większość kodu. Biblioteka wspierająca 2to3 (lib2to3)
jest jednak elastyczną i ogólną biblioteką, więc można pisać własne
poprawki dla 2to3. lib2to3 można także zaadaptować na potrzeby
własnych zastosowań, w których kod w Pythonie musi być modyfikowany
automatycznie.

%package static
Summary:	Static python library
Summary(pl.UTF-8):	Statyczna biblioteka Pythona
Group:		Development/Languages/Python
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static python library.

%description static -l pl.UTF-8
Statyczna biblioteka Pythona.

%package doc-info
Summary:	Documentation on Python in texinfo format
Summary(pl.UTF-8):	Dokumentacja do Pythona w formacie texinfo
Group:		Documentation

%description doc-info
Documentation on Python in texinfo format.

%description doc-info -l pl.UTF-8
Dokumentacja do Pythona w formacie texinfo.

%package tkinter
Summary:	Standard Python interface to the Tk GUI toolkit
Summary(de.UTF-8):	Grafische Tk-Schnittstelle für Python
Summary(es.UTF-8):	Interfaz de GUI Tk para Python
Summary(fr.UTF-8):	Interface graphique Tk pour Python
Summary(pl.UTF-8):	Standardowy interfejs Pythona do biblioteki Tk
Summary(pt_BR.UTF-8):	Interface GUI Tk para Phyton
Summary(tr.UTF-8):	Python için grafik kullanıcı arayüzü
Group:		Libraries/Python
Requires:	%{name}-modules = %{epoch}:%{version}-%{release}
Requires:	tcl >= 8.4.3
Requires:	tix >= 1:8.1.4-4
Requires:	tk >= 8.4.3

%description tkinter
Standard Python interface to the Tk GUI toolkit.

%description tkinter -l de.UTF-8
Eine grafische Schnittstelle für Python, basierend auf Tcl/Tk, und von
vielen Konfigurations-Tools genutzt.

%description tkinter -l es.UTF-8
Una interfaz gráfica para Python, basada en Tcl/Tk, y usada por muchas
herramientas de configuración.

%description tkinter -l fr.UTF-8
Interface graphique pour Python, basée sur Tcl/Tk et utilisée par
beaucoup des outils de configuration.

%description tkinter -l pl.UTF-8
Standardowy interfejs Pythona do biblioteki Tk.

%description tkinter -l pt_BR.UTF-8
Uma interface gráfica para Python, baseada em Tcl/Tk, e usada por
muitas ferramentas de configuração.

%description tkinter -l ru.UTF-8
Графический интерфейс (GUI) для Python, построенный на Tcl/Tk.

%description tkinter -l tr.UTF-8
Python için Tcl/Tk'ye dayalı ve pek çok ayarlama aracı tarafından
kullanılan grafik bir arayüzdür.

%description tkinter -l uk.UTF-8
Графічний інтерфейс (GUI) для Python, побудований на Tcl/Tk.

%package examples
Summary:	Example programs in Python
Summary(pl.UTF-8):	Przykładowe programy w Pythonie
Group:		Development/Languages/Python

%description examples
Example programs in Python.

These are for Python 2.3.4, not %{version}.

%description examples -l pl.UTF-8
Przykładowe programy w Pythonie.

Przykłady te są dla Pythona 2.3.4, nie %{version}.

%prep
%setup -q -n Python-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
%{__autoconf}
CPPFLAGS="-I/usr/include/ncursesw %{rpmcppflags}"; export CPPFLAGS
%configure \
	--with-cxx-main="%{__cxx}" \
	--enable-shared \
	--enable-ipv6 \
	--with-dbmliborder=gdbm:bdb \
	--with-wide-unicode \
	--with-signal-module \
	--with-tsc \
	--with-threads \
	--with-doc-strings \
	--with-fpectl \
	--with-system-ffi \
	--with-computed-gotos \
	LINKCC='$(PURIFY) $(CXX)' \
	LDSHARED='$(CC) $(CFLAGS) -shared' \
	BLDSHARED='$(CC) $(CFLAGS) -shared' \
	LDFLAGS="%{rpmcflags} %{rpmldflags}"

%{__make} \
	OPT="%{rpmcflags} -fno-caller-saves" 2>&1 | awk '
BEGIN { fail = 0; logmsg = ""; }
{
        if ($0 ~ /\*\*\* WARNING:/) {
                fail = 1;
                logmsg = logmsg $0;
        }
        print $0;
}
END { if (fail) { print "\nPROBLEMS FOUND:"; print logmsg; exit(1); } }'

LC_ALL=C
export LC_ALL
%if %{with tests}
binlibdir=`echo build/lib.*`
%{__make} test \
	TESTOPTS="%{test_flags} %{test_list}" \
	TESTPYTHON="LD_LIBRARY_PATH=`pwd` PYTHONHOME=`pwd` PYTHONPATH=`pwd`/Lib:`pwd`/$binlibdir ./python -tt"
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_libdir}} \
	$RPM_BUILD_ROOT{%{py_sitedir},%{py_sitescriptdir}}/__pycache__ \
	$RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version} \
	$RPM_BUILD_ROOT{%{_infodir},%{_mandir}/man1} \
	$RPM_BUILD_ROOT/etc/shrc.d

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%if %{with info}
%{__make} -C Doc/info
install Doc/info/python*info* $RPM_BUILD_ROOT%{_infodir}
%endif

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a Tools $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

# make libpython3.so simply symlink to real lib
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libpython3.so
ln -s libpython%{py_abi}.so $RPM_BUILD_ROOT%{_libdir}/libpython3.so

#
# create several useful aliases, such as timeit.py, profile.py, pdb.py, smtpd.py
#

# for python devel tools
for script in timeit profile pdb pstats; do
    echo alias ${script}%{py_ver}.py=\"python%{py_ver} -m ${script}\"
done > $RPM_BUILD_ROOT/etc/shrc.d/python%{py_ver}-devel.sh

echo alias pygettext%{py_ver}.py='"pygettext%{py_ver}"' \
	>> $RPM_BUILD_ROOT/etc/shrc.d/python%{py_ver}-devel.sh

sed 's/=/ /' \
	< $RPM_BUILD_ROOT/etc/shrc.d/python%{py_ver}-devel.sh \
	> $RPM_BUILD_ROOT/etc/shrc.d/python%{py_ver}-devel.csh

# for python modules
for script in smtpd webbrowser; do
    echo alias ${script}%{py_ver}.py=\"python%{py_ver} -m ${script}\"
done > $RPM_BUILD_ROOT/etc/shrc.d/python%{py_ver}-modules.sh

sed 's/=/ /' \
	< $RPM_BUILD_ROOT/etc/shrc.d/python%{py_ver}-modules.sh \
	> $RPM_BUILD_ROOT/etc/shrc.d/python%{py_ver}-modules.csh

# xgettext specific for Python code
#
# we will have two commands: pygettext.py (an alias) and pygettext;
# this way there are no import (which is impossible now) conflicts and
# pygettext.py is provided for compatibility
install Tools/i18n/pygettext.py $RPM_BUILD_ROOT%{_bindir}/pygettext%{py_ver}

# just to cut the noise, as they are not packaged (now)
# first tests (probably could be packaged)
%{__rm} -r $RPM_BUILD_ROOT%{py_scriptdir}/test
%{__rm} -r $RPM_BUILD_ROOT%{py_scriptdir}/ctypes/test
%{__rm} -r $RPM_BUILD_ROOT%{py_scriptdir}/distutils/tests
%{__rm} -r $RPM_BUILD_ROOT%{py_scriptdir}/email/test
%{__rm} -r $RPM_BUILD_ROOT%{py_scriptdir}/importlib/test
%{__rm} -r $RPM_BUILD_ROOT%{py_scriptdir}/lib2to3/tests
%{__rm} -r $RPM_BUILD_ROOT%{py_scriptdir}/sqlite3/test
%{__rm} -r $RPM_BUILD_ROOT%{py_scriptdir}/tkinter/test
%{__rm} -r $RPM_BUILD_ROOT%{py_scriptdir}/unittest/test

# other files
%{__rm} $RPM_BUILD_ROOT%{py_scriptdir}/plat-*/regen
%{__rm} $RPM_BUILD_ROOT%{py_scriptdir}/ctypes/macholib/fetch_macholib*
%{__rm} $RPM_BUILD_ROOT%{py_scriptdir}/site-packages/README
%{__rm} $RPM_BUILD_ROOT%{py_scriptdir}/distutils/command/wininst*.exe
%{__rm} $RPM_BUILD_ROOT%{py_scriptdir}/idlelib/*.bat
%{__rm} $RPM_BUILD_ROOT%{py_scriptdir}/idlelib/*.pyw

# currently provided by python-2to3, consider switching to this one
%{__rm} $RPM_BUILD_ROOT%{_bindir}/2to3

# that seems to be only an empty extension template,
# which seems to be built only {with tests}
%{__rm} -f $RPM_BUILD_ROOT%{py_dyndir}/xxlimited.*.so

# already in %%doc
%{__rm} $RPM_BUILD_ROOT%{py_scriptdir}/LICENSE.txt

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%post	doc-info -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	doc-info -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/python%{py_ver}
%attr(755,root,root) %{_bindir}/python%{py_abi}
%attr(755,root,root) %{_bindir}/python3
%{_mandir}/man1/python%{py_ver}.1*

%files libs
%defattr(644,root,root,755)
%doc LICENSE
%attr(755,root,root) %{_libdir}/libpython%{py_abi}.so.*.*

%dir %{py_incdir}
%{py_incdir}/pyconfig.h

%dir %{py_libdir}
%dir %{py_dyndir}
%dir %{py_sitedir}
%dir %{py_sitedir}/__pycache__
%dir %{py_scriptdir}
%dir %{py_scriptdir}/__pycache__
%dir %{py_sitescriptdir}
%dir %{py_sitescriptdir}/__pycache__

# shared modules required by python library
%attr(755,root,root) %{py_dyndir}/_struct.cpython-*.so

# modules required by python library
%{py_scriptdir}/_abcoll.py
%{py_scriptdir}/_weakrefset.py
%{py_scriptdir}/abc.py
%{py_scriptdir}/bisect.py
%{py_scriptdir}/codecs.py
%{py_scriptdir}/collections.py
%{py_scriptdir}/copyreg.py
%{py_scriptdir}/functools.py
%{py_scriptdir}/genericpath.py
%{py_scriptdir}/heapq.py
%{py_scriptdir}/keyword.py
%{py_scriptdir}/linecache.py
%{py_scriptdir}/locale.py
%{py_scriptdir}/io.py
%{py_scriptdir}/posixpath.py
%{py_scriptdir}/re.py
%{py_scriptdir}/reprlib.py
%{py_scriptdir}/site.py
%{py_scriptdir}/sre_*.py
%{py_scriptdir}/stat.py
%{py_scriptdir}/sysconfig.py
%{py_scriptdir}/token.py
%{py_scriptdir}/tokenize.py
%{py_scriptdir}/traceback.py
%{py_scriptdir}/weakref.py
%{py_scriptdir}/os.py
# needed by the dynamic sys.lib patch
%{py_scriptdir}/types.py
%{py_scriptdir}/__pycache__/_abcoll.cpython-*.py[co]
%{py_scriptdir}/__pycache__/_weakrefset.cpython-*.py[co]
%{py_scriptdir}/__pycache__/abc.cpython-*.py[co]
%{py_scriptdir}/__pycache__/bisect.cpython-*.py[co]
%{py_scriptdir}/__pycache__/codecs.cpython-*.py[co]
%{py_scriptdir}/__pycache__/collections.cpython-*.py[co]
%{py_scriptdir}/__pycache__/copyreg.cpython-*.py[co]
%{py_scriptdir}/__pycache__/functools.cpython-*.py[co]
%{py_scriptdir}/__pycache__/genericpath.cpython-*.py[co]
%{py_scriptdir}/__pycache__/heapq.cpython-*.py[co]
%{py_scriptdir}/__pycache__/keyword.cpython-*.py[co]
%{py_scriptdir}/__pycache__/linecache.cpython-*.py[co]
%{py_scriptdir}/__pycache__/locale.cpython-*.py[co]
%{py_scriptdir}/__pycache__/io.cpython-*.py[co]
%{py_scriptdir}/__pycache__/posixpath.cpython-*.py[co]
%{py_scriptdir}/__pycache__/re.cpython-*.py[co]
%{py_scriptdir}/__pycache__/reprlib.cpython-*.py[co]
%{py_scriptdir}/__pycache__/site.cpython-*.py[co]
%{py_scriptdir}/__pycache__/sre_*.cpython-*.py[co]
%{py_scriptdir}/__pycache__/stat.cpython-*.py[co]
%{py_scriptdir}/__pycache__/sysconfig.cpython-*.py[co]
%{py_scriptdir}/__pycache__/token.cpython-*.py[co]
%{py_scriptdir}/__pycache__/tokenize.cpython-*.py[co]
%{py_scriptdir}/__pycache__/traceback.cpython-*.py[co]
%{py_scriptdir}/__pycache__/weakref.cpython-*.py[co]
%{py_scriptdir}/__pycache__/os.cpython-*.py[co]
%{py_scriptdir}/__pycache__/types.cpython-*.py[co]

# encodings required by python library
%dir %{py_scriptdir}/encodings
%{py_scriptdir}/encodings/__pycache__
%{py_scriptdir}/encodings/*.py

%dir %{py_libdir}/config-%{py_abi}
%{py_libdir}/config-%{py_abi}/Makefile
%{py_libdir}/config-%{py_abi}/Setup
%{py_libdir}/config-%{py_abi}/Setup.config
%{py_libdir}/config-%{py_abi}/Setup.local

%files modules
%defattr(644,root,root,755)
/etc/shrc.d/python*-modules*
%{py_scriptdir}/__future__.py
%{py_scriptdir}/__phello__.foo.py
%{py_scriptdir}/_compat_pickle.py
%{py_scriptdir}/_dummy_thread.py
%{py_scriptdir}/_markupbase.py
%{py_scriptdir}/_pyio.py
%{py_scriptdir}/_strptime.py
%{py_scriptdir}/_threading_local.py
%{py_scriptdir}/aifc.py
%{py_scriptdir}/antigravity.py
%{py_scriptdir}/argparse.py
%{py_scriptdir}/ast.py
%{py_scriptdir}/asynchat.py
%{py_scriptdir}/asyncore.py
%{py_scriptdir}/base64.py
%{py_scriptdir}/bdb.py
%{py_scriptdir}/binhex.py
%{py_scriptdir}/cProfile.py
%{py_scriptdir}/calendar.py
%{py_scriptdir}/cgi.py
%{py_scriptdir}/cgitb.py
%{py_scriptdir}/chunk.py
%{py_scriptdir}/cmd.py
%{py_scriptdir}/code.py
%{py_scriptdir}/codeop.py
%{py_scriptdir}/colorsys.py
%{py_scriptdir}/compileall.py
%{py_scriptdir}/configparser.py
%{py_scriptdir}/contextlib.py
%{py_scriptdir}/copy.py
%{py_scriptdir}/csv.py
%{py_scriptdir}/datetime.py
%{py_scriptdir}/decimal.py
%{py_scriptdir}/difflib.py
%{py_scriptdir}/dis.py
%{py_scriptdir}/doctest.py
%{py_scriptdir}/dummy_threading.py
%{py_scriptdir}/filecmp.py
%{py_scriptdir}/fileinput.py
%{py_scriptdir}/fnmatch.py
%{py_scriptdir}/formatter.py
%{py_scriptdir}/fractions.py
%{py_scriptdir}/ftplib.py
%{py_scriptdir}/getopt.py
%{py_scriptdir}/getpass.py
%{py_scriptdir}/gettext.py
%{py_scriptdir}/glob.py
%{py_scriptdir}/gzip.py
%{py_scriptdir}/hashlib.py
%{py_scriptdir}/hmac.py
%{py_scriptdir}/imaplib.py
%{py_scriptdir}/imghdr.py
%{py_scriptdir}/inspect.py
%{py_scriptdir}/macpath.py
%{py_scriptdir}/macurl2path.py
%{py_scriptdir}/mailbox.py
%{py_scriptdir}/mailcap.py
%{py_scriptdir}/mimetypes.py
%{py_scriptdir}/modulefinder.py
%{py_scriptdir}/netrc.py
%{py_scriptdir}/nntplib.py
%{py_scriptdir}/ntpath.py
%{py_scriptdir}/nturl2path.py
%{py_scriptdir}/numbers.py
%{py_scriptdir}/opcode.py
%{py_scriptdir}/optparse.py
%{py_scriptdir}/os2emxpath.py
%{py_scriptdir}/pickle.py
%{py_scriptdir}/pickletools.py
%{py_scriptdir}/pipes.py
%{py_scriptdir}/pkgutil.py
%{py_scriptdir}/platform.py
%{py_scriptdir}/plistlib.py
%{py_scriptdir}/poplib.py
%{py_scriptdir}/pprint.py
%{py_scriptdir}/pty.py
%{py_scriptdir}/py_compile.py
%{py_scriptdir}/pyclbr.py
%{py_scriptdir}/queue.py
%{py_scriptdir}/quopri.py
%{py_scriptdir}/random.py
%{py_scriptdir}/rlcompleter.py
%{py_scriptdir}/runpy.py
%{py_scriptdir}/sched.py
%{py_scriptdir}/shelve.py
%{py_scriptdir}/shlex.py
%{py_scriptdir}/shutil.py
%{py_scriptdir}/smtpd.py
%{py_scriptdir}/smtplib.py
%{py_scriptdir}/sndhdr.py
%{py_scriptdir}/socket.py
%{py_scriptdir}/socketserver.py
%{py_scriptdir}/ssl.py
%{py_scriptdir}/string.py
%{py_scriptdir}/stringprep.py
%{py_scriptdir}/struct.py
%{py_scriptdir}/subprocess.py
%{py_scriptdir}/sunau.py
%{py_scriptdir}/symbol.py
%{py_scriptdir}/symtable.py
%{py_scriptdir}/tabnanny.py
%{py_scriptdir}/tarfile.py
%{py_scriptdir}/telnetlib.py
%{py_scriptdir}/tempfile.py
%{py_scriptdir}/textwrap.py
%{py_scriptdir}/this.py
%{py_scriptdir}/threading.py
%{py_scriptdir}/trace.py
%{py_scriptdir}/tty.py
%{py_scriptdir}/turtle.py
%{py_scriptdir}/uu.py
%{py_scriptdir}/uuid.py
%{py_scriptdir}/warnings.py
%{py_scriptdir}/wave.py
%{py_scriptdir}/webbrowser.py
%{py_scriptdir}/xdrlib.py
%{py_scriptdir}/zipfile.py
%{py_scriptdir}/__pycache__/__future__.cpython-*.py[co]
%{py_scriptdir}/__pycache__/__phello__.foo.cpython-*.py[co]
%{py_scriptdir}/__pycache__/_compat_pickle.cpython-*.py[co]
%{py_scriptdir}/__pycache__/_dummy_thread.cpython-*.py[co]
%{py_scriptdir}/__pycache__/_markupbase.cpython-*.py[co]
%{py_scriptdir}/__pycache__/_pyio.cpython-*.py[co]
%{py_scriptdir}/__pycache__/_strptime.cpython-*.py[co]
%{py_scriptdir}/__pycache__/_threading_local.cpython-*.py[co]
%{py_scriptdir}/__pycache__/aifc.cpython-*.py[co]
%{py_scriptdir}/__pycache__/antigravity.cpython-*.py[co]
%{py_scriptdir}/__pycache__/argparse.cpython-*.py[co]
%{py_scriptdir}/__pycache__/ast.cpython-*.py[co]
%{py_scriptdir}/__pycache__/asynchat.cpython-*.py[co]
%{py_scriptdir}/__pycache__/asyncore.cpython-*.py[co]
%{py_scriptdir}/__pycache__/base64.cpython-*.py[co]
%{py_scriptdir}/__pycache__/bdb.cpython-*.py[co]
%{py_scriptdir}/__pycache__/binhex.cpython-*.py[co]
%{py_scriptdir}/__pycache__/cProfile.cpython-*.py[co]
%{py_scriptdir}/__pycache__/calendar.cpython-*.py[co]
%{py_scriptdir}/__pycache__/cgi.cpython-*.py[co]
%{py_scriptdir}/__pycache__/cgitb.cpython-*.py[co]
%{py_scriptdir}/__pycache__/chunk.cpython-*.py[co]
%{py_scriptdir}/__pycache__/cmd.cpython-*.py[co]
%{py_scriptdir}/__pycache__/code.cpython-*.py[co]
%{py_scriptdir}/__pycache__/codeop.cpython-*.py[co]
%{py_scriptdir}/__pycache__/colorsys.cpython-*.py[co]
%{py_scriptdir}/__pycache__/compileall.cpython-*.py[co]
%{py_scriptdir}/__pycache__/configparser.cpython-*.py[co]
%{py_scriptdir}/__pycache__/contextlib.cpython-*.py[co]
%{py_scriptdir}/__pycache__/copy.cpython-*.py[co]
%{py_scriptdir}/__pycache__/csv.cpython-*.py[co]
%{py_scriptdir}/__pycache__/datetime.cpython-*.py[co]
%{py_scriptdir}/__pycache__/decimal.cpython-*.py[co]
%{py_scriptdir}/__pycache__/difflib.cpython-*.py[co]
%{py_scriptdir}/__pycache__/dis.cpython-*.py[co]
%{py_scriptdir}/__pycache__/doctest.cpython-*.py[co]
%{py_scriptdir}/__pycache__/dummy_threading.cpython-*.py[co]
%{py_scriptdir}/__pycache__/filecmp.cpython-*.py[co]
%{py_scriptdir}/__pycache__/fileinput.cpython-*.py[co]
%{py_scriptdir}/__pycache__/fnmatch.cpython-*.py[co]
%{py_scriptdir}/__pycache__/formatter.cpython-*.py[co]
%{py_scriptdir}/__pycache__/fractions.cpython-*.py[co]
%{py_scriptdir}/__pycache__/ftplib.cpython-*.py[co]
%{py_scriptdir}/__pycache__/getopt.cpython-*.py[co]
%{py_scriptdir}/__pycache__/getpass.cpython-*.py[co]
%{py_scriptdir}/__pycache__/gettext.cpython-*.py[co]
%{py_scriptdir}/__pycache__/glob.cpython-*.py[co]
%{py_scriptdir}/__pycache__/gzip.cpython-*.py[co]
%{py_scriptdir}/__pycache__/hashlib.cpython-*.py[co]
%{py_scriptdir}/__pycache__/hmac.cpython-*.py[co]
%{py_scriptdir}/__pycache__/imaplib.cpython-*.py[co]
%{py_scriptdir}/__pycache__/imghdr.cpython-*.py[co]
%{py_scriptdir}/__pycache__/inspect.cpython-*.py[co]
%{py_scriptdir}/__pycache__/macpath.cpython-*.py[co]
%{py_scriptdir}/__pycache__/macurl2path.cpython-*.py[co]
%{py_scriptdir}/__pycache__/mailbox.cpython-*.py[co]
%{py_scriptdir}/__pycache__/mailcap.cpython-*.py[co]
%{py_scriptdir}/__pycache__/mimetypes.cpython-*.py[co]
%{py_scriptdir}/__pycache__/modulefinder.cpython-*.py[co]
%{py_scriptdir}/__pycache__/netrc.cpython-*.py[co]
%{py_scriptdir}/__pycache__/nntplib.cpython-*.py[co]
%{py_scriptdir}/__pycache__/ntpath.cpython-*.py[co]
%{py_scriptdir}/__pycache__/nturl2path.cpython-*.py[co]
%{py_scriptdir}/__pycache__/numbers.cpython-*.py[co]
%{py_scriptdir}/__pycache__/opcode.cpython-*.py[co]
%{py_scriptdir}/__pycache__/optparse.cpython-*.py[co]
%{py_scriptdir}/__pycache__/os2emxpath.cpython-*.py[co]
%{py_scriptdir}/__pycache__/pickle.cpython-*.py[co]
%{py_scriptdir}/__pycache__/pickletools.cpython-*.py[co]
%{py_scriptdir}/__pycache__/pipes.cpython-*.py[co]
%{py_scriptdir}/__pycache__/pkgutil.cpython-*.py[co]
%{py_scriptdir}/__pycache__/platform.cpython-*.py[co]
%{py_scriptdir}/__pycache__/plistlib.cpython-*.py[co]
%{py_scriptdir}/__pycache__/poplib.cpython-*.py[co]
%{py_scriptdir}/__pycache__/pprint.cpython-*.py[co]
%{py_scriptdir}/__pycache__/pty.cpython-*.py[co]
%{py_scriptdir}/__pycache__/py_compile.cpython-*.py[co]
%{py_scriptdir}/__pycache__/pyclbr.cpython-*.py[co]
%{py_scriptdir}/__pycache__/queue.cpython-*.py[co]
%{py_scriptdir}/__pycache__/quopri.cpython-*.py[co]
%{py_scriptdir}/__pycache__/random.cpython-*.py[co]
%{py_scriptdir}/__pycache__/rlcompleter.cpython-*.py[co]
%{py_scriptdir}/__pycache__/runpy.cpython-*.py[co]
%{py_scriptdir}/__pycache__/sched.cpython-*.py[co]
%{py_scriptdir}/__pycache__/shelve.cpython-*.py[co]
%{py_scriptdir}/__pycache__/shlex.cpython-*.py[co]
%{py_scriptdir}/__pycache__/shutil.cpython-*.py[co]
%{py_scriptdir}/__pycache__/smtpd.cpython-*.py[co]
%{py_scriptdir}/__pycache__/smtplib.cpython-*.py[co]
%{py_scriptdir}/__pycache__/sndhdr.cpython-*.py[co]
%{py_scriptdir}/__pycache__/socket.cpython-*.py[co]
%{py_scriptdir}/__pycache__/socketserver.cpython-*.py[co]
%{py_scriptdir}/__pycache__/ssl.cpython-*.py[co]
%{py_scriptdir}/__pycache__/string.cpython-*.py[co]
%{py_scriptdir}/__pycache__/stringprep.cpython-*.py[co]
%{py_scriptdir}/__pycache__/struct.cpython-*.py[co]
%{py_scriptdir}/__pycache__/subprocess.cpython-*.py[co]
%{py_scriptdir}/__pycache__/sunau.cpython-*.py[co]
%{py_scriptdir}/__pycache__/symbol.cpython-*.py[co]
%{py_scriptdir}/__pycache__/symtable.cpython-*.py[co]
%{py_scriptdir}/__pycache__/tabnanny.cpython-*.py[co]
%{py_scriptdir}/__pycache__/tarfile.cpython-*.py[co]
%{py_scriptdir}/__pycache__/telnetlib.cpython-*.py[co]
%{py_scriptdir}/__pycache__/tempfile.cpython-*.py[co]
%{py_scriptdir}/__pycache__/textwrap.cpython-*.py[co]
%{py_scriptdir}/__pycache__/this.cpython-*.py[co]
%{py_scriptdir}/__pycache__/threading.cpython-*.py[co]
%{py_scriptdir}/__pycache__/trace.cpython-*.py[co]
%{py_scriptdir}/__pycache__/tty.cpython-*.py[co]
%{py_scriptdir}/__pycache__/turtle.cpython-*.py[co]
%{py_scriptdir}/__pycache__/uu.cpython-*.py[co]
%{py_scriptdir}/__pycache__/uuid.cpython-*.py[co]
%{py_scriptdir}/__pycache__/warnings.cpython-*.py[co]
%{py_scriptdir}/__pycache__/wave.cpython-*.py[co]
%{py_scriptdir}/__pycache__/webbrowser.cpython-*.py[co]
%{py_scriptdir}/__pycache__/xdrlib.cpython-*.py[co]
%{py_scriptdir}/__pycache__/zipfile.cpython-*.py[co]
%{py_dyndir}/Python-%{version}-py*.egg-info

#
# list .so modules to be sure that all of them are built
#

%attr(755,root,root) %{py_dyndir}/_bisect.cpython-*.so
%attr(755,root,root) %{py_dyndir}/_codecs_cn.cpython-*.so
%attr(755,root,root) %{py_dyndir}/_codecs_hk.cpython-*.so
%attr(755,root,root) %{py_dyndir}/_codecs_iso2022.cpython-*.so
%attr(755,root,root) %{py_dyndir}/_codecs_jp.cpython-*.so
%attr(755,root,root) %{py_dyndir}/_codecs_kr.cpython-*.so
%attr(755,root,root) %{py_dyndir}/_codecs_tw.cpython-*.so
%attr(755,root,root) %{py_dyndir}/_csv.cpython-*.so
%attr(755,root,root) %{py_dyndir}/_ctypes*.cpython-*.so
%attr(755,root,root) %{py_dyndir}/_curses_panel.cpython-*.so
%attr(755,root,root) %{py_dyndir}/_curses.cpython-*.so
%attr(755,root,root) %{py_dyndir}/_datetime.cpython-*.so
%ifnarch sparc64
%attr(755,root,root) %{py_dyndir}/_dbm.cpython-*.so
%endif
%attr(755,root,root) %{py_dyndir}/_elementtree.cpython-*.so
%attr(755,root,root) %{py_dyndir}/_gdbm.cpython-*.so
%attr(755,root,root) %{py_dyndir}/_hashlib.cpython-*.so
%attr(755,root,root) %{py_dyndir}/_heapq.cpython-*.so
%attr(755,root,root) %{py_dyndir}/_json.cpython-*.so
%attr(755,root,root) %{py_dyndir}/_lsprof.cpython-*.so
%attr(755,root,root) %{py_dyndir}/_multibytecodec.cpython-*.so
%attr(755,root,root) %{py_dyndir}/_multiprocessing.cpython-*.so
%attr(755,root,root) %{py_dyndir}/_pickle.cpython-*.so
%attr(755,root,root) %{py_dyndir}/_posixsubprocess.cpython-*.so
%attr(755,root,root) %{py_dyndir}/_random.cpython-*.so
%attr(755,root,root) %{py_dyndir}/_socket.cpython-*.so
%attr(755,root,root) %{py_dyndir}/_ssl.cpython-*.so
%attr(755,root,root) %{py_dyndir}/_testcapi.cpython-*.so
%attr(755,root,root) %{py_dyndir}/array.cpython-*.so
%attr(755,root,root) %{py_dyndir}/atexit.cpython-*.so
%attr(755,root,root) %{py_dyndir}/audioop.cpython-*.so
%attr(755,root,root) %{py_dyndir}/binascii.cpython-*.so
%attr(755,root,root) %{py_dyndir}/bz2.cpython-*.so
%attr(755,root,root) %{py_dyndir}/cmath.cpython-*.so
%attr(755,root,root) %{py_dyndir}/crypt.cpython-*.so
%attr(755,root,root) %{py_dyndir}/fcntl.cpython-*.so
%attr(755,root,root) %{py_dyndir}/grp.cpython-*.so
%attr(755,root,root) %{py_dyndir}/math.cpython-*.so
%attr(755,root,root) %{py_dyndir}/mmap.cpython-*.so
%attr(755,root,root) %{py_dyndir}/nis.cpython-*.so
%attr(755,root,root) %{py_dyndir}/ossaudiodev.cpython-*.so
%attr(755,root,root) %{py_dyndir}/parser.cpython-*.so
%attr(755,root,root) %{py_dyndir}/pyexpat.cpython-*.so
%attr(755,root,root) %{py_dyndir}/readline.cpython-*.so
%attr(755,root,root) %{py_dyndir}/resource.cpython-*.so
%attr(755,root,root) %{py_dyndir}/select.cpython-*.so
%attr(755,root,root) %{py_dyndir}/syslog.cpython-*.so
%attr(755,root,root) %{py_dyndir}/termios.cpython-*.so
%attr(755,root,root) %{py_dyndir}/time.cpython-*.so
%attr(755,root,root) %{py_dyndir}/spwd.cpython-*.so
%attr(755,root,root) %{py_dyndir}/unicodedata.cpython-*.so
%attr(755,root,root) %{py_dyndir}/zlib.cpython-*.so

%dir %{py_scriptdir}/plat-*
%{py_scriptdir}/plat-*/__pycache__
%{py_scriptdir}/plat-*/*.py

%{py_scriptdir}/concurrent

%dir %{py_scriptdir}/ctypes
%dir %{py_scriptdir}/ctypes/macholib
%{py_scriptdir}/ctypes/__pycache__
%{py_scriptdir}/ctypes/macholib/__pycache__

%{py_scriptdir}/ctypes/*.py
%{py_scriptdir}/ctypes/macholib/*.py
%doc %{py_scriptdir}/ctypes/macholib/README.ctypes

%dir %{py_scriptdir}/curses
%{py_scriptdir}/curses/__pycache__
%{py_scriptdir}/curses/*.py

%dir %{py_scriptdir}/dbm
%{py_scriptdir}/dbm/__pycache__
%{py_scriptdir}/dbm/*.py

%dir %{py_scriptdir}/distutils
%dir %{py_scriptdir}/distutils/command
%doc %{py_scriptdir}/distutils/README
%{py_scriptdir}/distutils/__pycache__
%{py_scriptdir}/distutils/command/__pycache__
%{py_scriptdir}/distutils/*.py
%{py_scriptdir}/distutils/command/*.py
%{py_scriptdir}/distutils/command/command_template

%dir %{py_scriptdir}/email
%dir %{py_scriptdir}/email/mime
%{py_scriptdir}/email/__pycache__
%{py_scriptdir}/email/mime/__pycache__
%{py_scriptdir}/email/*.py
%{py_scriptdir}/email/mime/*.py

%dir %{py_scriptdir}/html
%{py_scriptdir}/html/*.py
%{py_scriptdir}/html/__pycache__

%dir %{py_scriptdir}/http
%{py_scriptdir}/http/__pycache__
%{py_scriptdir}/http/*.py

%dir %{py_scriptdir}/importlib
%{py_scriptdir}/importlib/__pycache__
%{py_scriptdir}/importlib/*.py

%dir %{py_scriptdir}/json
%{py_scriptdir}/json/__pycache__
%{py_scriptdir}/json/*.py

%dir %{py_scriptdir}/logging
%{py_scriptdir}/logging/__pycache__
%{py_scriptdir}/logging/*.py

%dir %{py_scriptdir}/multiprocessing
%{py_scriptdir}/multiprocessing/__pycache__
%{py_scriptdir}/multiprocessing/*.py
%dir %{py_scriptdir}/multiprocessing/dummy
%{py_scriptdir}/multiprocessing/dummy/__pycache__
%{py_scriptdir}/multiprocessing/dummy/*.py

%{py_scriptdir}/turtledemo
%{py_scriptdir}/unittest

%dir %{py_scriptdir}/urllib
%{py_scriptdir}/urllib/__pycache__
%{py_scriptdir}/urllib/*.py

%dir %{py_scriptdir}/wsgiref
%{py_scriptdir}/wsgiref/__pycache__
%{py_scriptdir}/wsgiref/*.py
%{py_scriptdir}/wsgiref.egg-info

%dir %{py_scriptdir}/xml
%dir %{py_scriptdir}/xml/dom
%dir %{py_scriptdir}/xml/etree
%dir %{py_scriptdir}/xml/parsers
%dir %{py_scriptdir}/xml/sax
%{py_scriptdir}/xml/__pycache__
%{py_scriptdir}/xml/dom/__pycache__
%{py_scriptdir}/xml/etree/__pycache__
%{py_scriptdir}/xml/parsers/__pycache__
%{py_scriptdir}/xml/sax/__pycache__
%{py_scriptdir}/xml/*.py
%{py_scriptdir}/xml/dom/*.py
%{py_scriptdir}/xml/etree/*.py
%{py_scriptdir}/xml/parsers/*.py
%{py_scriptdir}/xml/sax/*.py

%dir %{py_scriptdir}/xmlrpc
%{py_scriptdir}/xmlrpc/__pycache__
%{py_scriptdir}/xmlrpc/*.py

%attr(755,root,root) %{py_dyndir}/_sqlite3.cpython-*.so
%dir %{py_scriptdir}/sqlite3
%{py_scriptdir}/sqlite3/__pycache__
%{py_scriptdir}/sqlite3/*.py

%files -n pydoc3
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/pydoc3
%attr(755,root,root) %{_bindir}/pydoc3.2
%{py_scriptdir}/pydoc.py
%{py_scriptdir}/__pycache__/pydoc.cpython-*.py[co]
%dir %{py_scriptdir}/pydoc_data
%{py_scriptdir}/pydoc_data/__pycache__
%{py_scriptdir}/pydoc_data/*.py
%{py_scriptdir}/pydoc_data/*.css

%files -n idle3
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/idle3
%attr(755,root,root) %{_bindir}/idle3.2
%dir %{py_scriptdir}/idlelib
%dir %{py_scriptdir}/idlelib/Icons
%{py_scriptdir}/idlelib/__pycache__
%{py_scriptdir}/idlelib/*.py
%doc %{py_scriptdir}/idlelib/*.txt
%doc %{py_scriptdir}/idlelib/ChangeLog
%{py_scriptdir}/idlelib/Icons/*
%{py_scriptdir}/idlelib/*.def

%files devel
%defattr(644,root,root,755)
%doc Misc/{ACKS,NEWS,README,README.valgrind,valgrind-python.supp}
%attr(755,root,root) %{_bindir}/python%{py_ver}-config
%attr(755,root,root) %{_bindir}/python%{py_abi}-config
%attr(755,root,root) %{_bindir}/python3-config
%attr(755,root,root) %{_libdir}/libpython%{py_abi}.so
%attr(755,root,root) %{_libdir}/libpython3.so
%{py_incdir}/*.h
%exclude %{py_incdir}/pyconfig.h
%attr(755,root,root) %{py_libdir}/config-%{py_abi}/makesetup
%attr(755,root,root) %{py_libdir}/config-%{py_abi}/install-sh
%{py_libdir}/config-%{py_abi}/config.c
%{py_libdir}/config-%{py_abi}/config.c.in
%{py_libdir}/config-%{py_abi}/python.o
%{_pkgconfigdir}/python-%{py_ver}.pc

%files devel-tools
%defattr(644,root,root,755)
/etc/shrc.d/python*-devel*
%attr(755,root,root) %{_bindir}/pygettext%{py_ver}
%{py_scriptdir}/pdb.py
%{py_scriptdir}/profile.py
%{py_scriptdir}/pstats.py
%{py_scriptdir}/timeit.py
%{py_scriptdir}/__pycache__/pdb.cpython-*.py[co]
%{py_scriptdir}/__pycache__/profile.cpython-*.py[co]
%{py_scriptdir}/__pycache__/pstats.cpython-*.py[co]
%{py_scriptdir}/__pycache__/timeit.cpython-*.py[co]

%files 2to3
%attr(755,root,root) %{_bindir}/2to3-%{py_ver}
%dir %{py_scriptdir}/lib2to3
%{py_scriptdir}/lib2to3/__pycache__
%{py_scriptdir}/lib2to3/*.txt
%{py_scriptdir}/lib2to3/*.pickle
%{py_scriptdir}/lib2to3/*.py
%dir %{py_scriptdir}/lib2to3/fixes
%{py_scriptdir}/lib2to3/fixes/__pycache__
%{py_scriptdir}/lib2to3/fixes/*.py
%dir %{py_scriptdir}/lib2to3/pgen2
%{py_scriptdir}/lib2to3/pgen2/__pycache__
%{py_scriptdir}/lib2to3/pgen2/*.py

%files static
%defattr(644,root,root,755)
%{_libdir}/libpython%{py_abi}.a

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}

%if %{with info}
%files doc-info
%defattr(644,root,root,755)
%{_infodir}/*.info*
%endif

%if %{with tkinter}
%files tkinter
%defattr(644,root,root,755)
%dir %{py_scriptdir}/tkinter
%{py_scriptdir}/tkinter/__pycache__
%{py_scriptdir}/tkinter/*.py
%attr(755,root,root) %{py_dyndir}/_tkinter.cpython-*.so
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python3.spec,v $
Revision 1.68  2012/01/03 19:53:40  lisu
- rel 4

Revision 1.67  2011/09/24 18:11:01  wiget
- fix libpython3.so

Revision 1.66  2011/09/09 19:36:03  qboosh
- python apparently needs Makefile and pyconfig.h to run, moved the rest (except for Setup*, just in case) of config back to -devel
- explicit list of .py files in -modules instead of not much shorter excludes list
- properly distributed py_scriptdir/__pycache__ files over subpackages
- release 2

Revision 1.65  2011/09/06 04:48:29  arekm
- remove platform hack (no longer needed; upstream fixed it)

Revision 1.64  2011/09/05 21:26:22  wrobell
- ver. 3.2.2

Revision 1.63  2011/09/03 16:06:55  arekm
- rel 6; typo fixed

Revision 1.62  2011/09/03 15:56:15  arekm
- rel 5; move some libs/headers so python without -modules and -devel subpackages works

Revision 1.61  2011/07/22 07:33:49  arekm
- support plat-linux3

Revision 1.60  2011/07/18 19:56:03  wrobell
- fixed {without tests}

Revision 1.59  2011/07/15 18:46:59  jajcus
- include __pycache__ subdirs in site-packages
- Release: 4

Revision 1.58  2011/07/15 18:20:10  jajcus
- sysconfig.get_path('purelib') fix (it is our %py3_sitescriptdir)
- Release: 3

Revision 1.57  2011/07/15 16:07:44  jajcus
- audioop module now is built on 64 bits too
- only one pkgconfig file (though I was sure I have seen the other two earlier today)
- Release: 2

Revision 1.56  2011/07/15 14:08:26  jajcus
- the %{py_libdir}/config-* dir is required to run python, moved from -devel, to -libs

Revision 1.55  2011/07/15 14:01:17  jajcus
- %install and %files fixes

Revision 1.54  2011/07/15 13:39:21  jajcus
- do not include minor number in %%{py_ver}

Revision 1.53  2011/07/15 13:11:47  jajcus
- patches updated for Python3.2.1
- some tests fixed, some tests disable, 'tests' bcond re-enabled

Revision 1.52  2011/07/12 21:26:45  wrobell
- ver. 3.2.1 (nfy)

Revision 1.51  2011/07/03 05:55:21  qboosh
- tar epoch

Revision 1.50  2011/07/02 13:04:05  jajcus
- BR: tar > 1.22 (xz support)
- BR: autoconf >= 2.65

Revision 1.49  2011/05/22 02:10:15  wrobell
- rel. 1

Revision 1.48  2011/05/22 01:15:20  wrobell
- added patch to fix bug 11254
- rel. 0.3

Revision 1.47  2011/05/21 20:33:52  wrobell
- more lib64 fixes
- ver. 0.2

Revision 1.46  2011/05/21 12:21:02  wrobell
- package __pycache__ files
- fixed file list

Revision 1.45  2011/04/02 17:55:35  qboosh
- updated noarch_to_datadir patch to install config to arch-dependent dir and libpython*.a to libdir

Revision 1.44  2011/04/02 16:04:35  qboosh
- there is no pdb.doc now

Revision 1.43  2011/04/02 16:03:25  qboosh
- some files updated; must decide for some compiled files solution

Revision 1.42  2011/04/02 09:48:41  qboosh
- updated lib64 and noarch_to_datadir patches
- use __rm macro, removed obsolete commands

Revision 1.41  2011/03/12 08:05:22  qboosh
- pl for 2to3
- dropped beta macro (belongs to DEVEL branch)

Revision 1.40  2011/02/22 20:42:27  wrobell
- switched to xz packed source
- removed references to obsolete cast patch

Revision 1.39  2011/02/22 01:45:36  wrobell
- install section fixes for python 3.2

Revision 1.38  2011/02/22 00:54:34  wrobell
- started to update to version 3.2

Revision 1.37  2011/02/22 00:51:46  wrobell
- started to work on python 3.2 (merged DEVEL branch)

Revision 1.36.2.2  2010/12/12 17:00:26  wrobell
- enable 2nd patch (patch1)

Revision 1.36.2.1  2010/12/12 16:23:10  wrobell
- started updating to python 3.2b1
- removed junk from ac_fixes patch which was later corrected in the spec
  file (as well, python provides now python3 link/binary)

Revision 1.36  2010/11/08 19:00:47  shadzik
- rel 3

Revision 1.35  2010/04/11 09:08:15  arekm
- release 2

Revision 1.34  2010/03/27 11:24:10  wiget
- 3.1.2
- rename 2to3 to avoid conflict with python-2.x version

Revision 1.33  2010/03/03 22:13:53  wiget
- problem no longer exists?

Revision 1.32  2010/03/03 22:11:32  wiget
- try to debug pgen problem on i686 builder

Revision 1.31  2010/02/28 23:31:40  wiget
- fix 2to3
- release 3
- test_zlib fail (new zlib?)

Revision 1.30  2009/08/27 16:17:59  wiget
- rel. 2

Revision 1.29  2009/08/24 06:42:25  arekm
- use rpmcppflags when building

Revision 1.28  2009/08/23 21:30:00  wiget
- disable test_pydoc and test_telnetlib
- compile with computed gotos (but disable caller saves optimisation)

Revision 1.27  2009/08/17 20:14:20  arekm
- up to 3.1.1 (tests are failing)

Revision 1.26  2009/08/01 12:38:10  wiget
- merge python3-modules-sqlite with python3-modules
- package importlib
- fix pydoc file list
- package pkg-config file
- release 2

Revision 1.25  2009/08/01 11:30:11  wiget
- Release 1

Revision 1.24  2009/08/01 11:04:10  wiget
- disable --with-computed-gotos (http://bugs.python.org/issue6603)
- disable test_distutils and test_cmd_line
- enable re-running failded test in verbose mode

Revision 1.23  2009/07/01 00:29:39  arekm
- enable computed gotos (up to 20% speedup in some areas)

Revision 1.22  2009/06/29 14:59:24  adamg
- patches reordered

Revision 1.21  2009/06/29 14:58:27  adamg
- seems like we can achieve the same with --with-dbmliborder

Revision 1.20  2009/06/29 14:55:35  adamg
- updated to 3.1; release 0.1

Revision 1.19  2009/03/15 17:39:58  wiget
- fixed -lib -modules split (now python3 without -modules starts)
- release 3

Revision 1.18  2009/03/14 17:33:16  wiget
- create python3 symlink and use it in scripts
- release 2

Revision 1.17  2009/02/25 19:43:30  arekm
- renamed from xxx30 to xxx3

Revision 1.16  2009/02/25 19:19:22  arekm
- fix ppc64, too

Revision 1.15  2009/02/25 19:16:11  wiget
- try to fix ppc build

Revision 1.14  2009/02/25 19:00:27  wiget
- rgbimg, imageop and dl modules removed

Revision 1.13  2009/02/25 18:26:43  wiget
- removed Obsoletes: python-devel
- separeted 2to3 to own subpackage (to avoid conflict with python 2.6 version)
- pythonpath patch updated
- don't provide libpython.so
- remove some unpackaged files
- Release: 1

Revision 1.12  2009/02/25 13:15:31  wiget
- cleanup
- bcond openssl097 removed

Revision 1.11  2009/02/25 13:00:35  wiget
- garbage removed

Revision 1.10  2009/02/25 12:58:54  wiget
- updated lib64 and noarch_to_datadir patches
- disable usage of wctype functions (breaks isspace() and other)
- only test_httpservers in broken_tests
- updated %files

Revision 1.9  2009/02/21 19:54:43  wiget
- start update to 3.0.1
- use bz2 sources
- use system libffi

Compiles but 5 tests fails

Revision 1.8  2009/01/23 14:14:51  cieciwa
- next patch on

Revision 1.7  2009/01/23 13:27:23  cieciwa
- s/%nil/%{nil}/

Revision 1.6  2009/01/23 13:05:13  cieciwa
- updated to version 3.0 final
- updated MD5sum
- patches are out (temporary)

Revision 1.5  2008/01/24 01:36:34  glen
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

Revision 1.4  2007-09-02 19:18:25  arekm
- no conflicts with 2.x

Revision 1.3  2007/09/02 18:49:47  arekm
- drop old obsoletes

Revision 1.2  2007/09/02 18:46:32  arekm
- update files

Revision 1.1  2007/09/02 18:37:25  arekm
- python 3.0

Revision 1.304  2007/08/25 23:53:38  qboosh
- include python-config symlink

Revision 1.303  2007/07/31 09:22:19  arekm
- rel 4

Revision 1.302  2007/07/27 22:46:46  qrczak
- python-db4.6.patch: use db4.6 if present. Builds, but not tested
  whether it works.

Revision 1.301  2007/07/26 17:05:19  arekm
- rel 3; rebuild with new db4.6

Revision 1.300  2007/07/17 22:53:30  tommat
- test_fcntl test_ioctl broken on sparc - disable for now

Revision 1.299  2007/05/28 20:29:50  wiget
 - move sqlite files to modules-sqlite subpackage
- release 2

Revision 1.298  2007/04/27 17:50:33  wrobell
- ver. 2.5.1

Revision 1.297  2007/03/05 23:58:56  glen
- revert change that was not described in commit (probably mistake)

Revision 1.296  2007/03/05 23:44:17  tommat
- enable multilib build

Revision 1.295  2007/02/13 08:06:43  glen
- tabs in preamble

Revision 1.294  2007/02/12 01:06:28  baggins
- converted to UTF-8

Revision 1.293  2007/02/08 17:18:38  arekm
- rel 8

Revision 1.292  2007/01/27 21:16:50  arekm
- rel 7

Revision 1.291  2007/01/21 20:25:33  arekm
- catch modules build failures

Revision 1.290  2007/01/21 18:57:49  arekm
- bcond for old openssl

Revision 1.289  2007/01/13 13:03:29  qboosh
- O: python-cElementTree too (included as _elementtree.so)

Revision 1.288  2007/01/13 13:01:45  qboosh
- -modules O: python-elementtree

Revision 1.287  2007/01/08 10:51:31  arekm
- rel 6; fix 3 segfault cases

Revision 1.286  2006/11/20 23:57:17  arekm
- rel 5; apply python-bug-1588287.patch

Revision 1.285  2006/10/06 21:44:04  qboosh
- removed obsolete sparc_fix patch

Revision 1.284  2006/10/06 15:55:11  cieciwa
- release 4, to build with db4.5

Revision 1.283  2006/10/03 18:21:40  qboosh
- updated comment

Revision 1.282  2006/10/03 18:09:42  qboosh
- _sha.so is built for openssl < 0.9.7 only; enforce openssl 0.9.8 to get stable files

Revision 1.281  2006/10/02 18:45:20  arekm
- forgot to commit

Revision 1.280  2006/10/01 08:28:08  arekm
- apply correct patch

Revision 1.279  2006/10/01 08:27:04  arekm
- do support db 4.5; include sha* modules; include ctypes_test module.

Revision 1.278  2006/09/30 22:17:14  arekm
- rebuild with new db4.5

Revision 1.277  2006/09/28 18:52:29  twittner
- don't build info pages (it fails) - info bcond toggled (default off)
- conditionally (depends on bcond info) put `Obsoletes: python-doc-info'
  in python-libs package
- NOTE: generating texinfo files fails in both cases: by `py2texi.el'
  from latex sources and by `html2texi.pl' from html docs (Source1)

Revision 1.276  2006/09/26 20:46:42  wrobell
- rel. 1

Revision 1.275  2006/09/22 12:07:51  cieciwa
- dirty hak to make patchlevel.tex file.

Revision 1.274  2006/09/20 09:06:55  cieciwa
- release 0.6,
- addwd modules-sqlite package.

Revision 1.273  2006/09/20 06:33:47  cieciwa
- updated to 2.5,
- updated MD5sum,
- testing now...

Revision 1.272  2006/09/02 20:34:47  glen
- cp -a implies cp -r

Revision 1.271  2006/08/30 14:13:13  havner
- argh, reverted

Revision 1.270  2006/08/30 14:12:13  havner
- O: python-ctypes
- rel 3

Revision 1.269  2006/08/26 19:11:21  arekm
- rebuild with fixed path in devel subpackage

Revision 1.268  2006/08/24 15:18:13  wrobell
- merged from PYTHON_2_5 branch

Revision 1.267  2006/08/06 07:09:52  witekfl
- added files related to valgrind to the devel subpackage
- adapterized (removed trailing spaces)
- rel 3

Revision 1.266  2006/05/19 14:30:55  qboosh
- added sparc_fix patch (alignment fix, merged from AC-branch)

Revision 1.265  2006/04/19 20:12:52  atler
- fix curses module

Revision 1.264  2006/04/08 17:54:25  twittner
- fixed info (added dircategory, direntry, menu)
- rel. 2

Revision 1.263.2.5  2006/08/24 11:28:08  wrobell
- updated files and kill more noise from unpackaged files
- use aliases instead of scripts - /usr/bin/ no longer contains *.py, there
  should be no conflict imports anymore
- distinguish also between devel tools (pdb.py, timeit.py...)
  and python modules (smtpd.py, webbrowser.py...) aliases by creating
  python-devel* and python-modules* in /etc/shrc.d

Revision 1.263.2.4  2006/08/21 18:38:37  wrobell
- ver. 2.5 rc1

Revision 1.263.2.3  2006/07/13 08:50:10  wrobell
- fixed doc uri

Revision 1.263.2.2  2006/07/13 08:46:04  wrobell
- ver 2.5, beta 2

Revision 1.263.2.1  2006/04/06 20:40:00  wrobell
- starting work on 2.5 (still alpha so do not expect it on builders soon)

Revision 1.263  2006/03/30 20:39:51  arekm
- up to 2.4.3

Revision 1.262  2006/03/27 16:43:37  twittner
- add bcond_without info - allow to build Python without BR: emacs

Revision 1.261  2006/03/26 13:16:17  twittner
- keep BRs in alphabetical order

Revision 1.260  2006/03/26 13:01:37  twittner
- added python info pages as separate subpackage

Revision 1.259  2006/03/03 18:42:34  wrobell
- rel. 6 due to fixes in lib64 patch

Revision 1.258  2006/03/03 17:21:54  wrobell
- include docs directly in docdir

Revision 1.257  2006/02/18 21:25:10  wolf
- rel 5

Revision 1.256  2006/02/17 23:47:10  wolf
- cut changelog

Revision 1.255  2006/02/03 16:43:02  glen
- restored r1.120 (in slightly modified form), which got lost in merge from DEVEL at 1.215

Revision 1.254  2006/02/02 10:49:57  qboosh
- updated pl for base,-libs,-modules

Revision 1.253  2006/02/01 22:43:02  glen
- updated descriptions, hopefully correctly

Revision 1.252  2006/02/01 15:00:39  glen
- rel 4 (no complaints), STBR

Revision 1.251  2006/01/26 11:04:14  glen
- really expand

Revision 1.250  2006/01/26 10:47:45  glen
- $script needs to be expanded (thx wrobell)

Revision 1.249  2006/01/26 00:06:26  glen
- use dynamic sys.lib patch.
  now possible to have -libs package from athlon and amd64 while searchpath stays correct

Revision 1.248  2006/01/25 23:49:42  glen
- regen unuseful to package

Revision 1.247  2006/01/25 22:13:34  glen
- rm -rf %{py_scriptdir}/test to cut down check-files noise

Revision 1.246  2006/01/25 22:05:58  glen
- BR rpm-pythonprov

Revision 1.245  2006/01/25 21:57:06  glen
- adapterized

Revision 1.244  2005/12/15 20:16:14  twittner
- removed bogus requires from doc & examples subpkg (you don't need python
  interpreter for reading docs or watching examples)
- removed trash from %files doc

Revision 1.243  2005/12/14 23:07:30  arekm
- rel 3; fixes hangs on ssl socket read()s when using nonblocking/timeout

Revision 1.242  2005/12/13 18:01:47  glen
- adapterized (avoid macros with /usr/include/{ncurses,freetype}*)

Revision 1.241  2005/11/22 16:51:46  pluto
- db4.4 support, release 2.1.

Revision 1.240  2005/11/03 19:25:10  arekm
- rel 2; just drop smtplib patch
